Autobaud

Automatic baud rate detection. More...

## Autobaud

status_t | autobaud_get_rate (uint32_t instance, uint32_t *rate)
| If completed sets the rate after calculation as 9600, 19200, etc. More...
void | autobaud_init (uint32_t instance)
| Initializes autobaud detection.
void | autobaud_deinit (uint32_t instance)
| De-initializes autobaud detection.

## Usage Information

Automatic baud rate detection.

## Function Documentation

status_t autobaud_get_rate | ( | uint32_t | instance,
|  | uint32_t * | rate
| ) |  |

If completed sets the rate after calculation as 9600, 19200, etc.

Return values

  #kStatus_Success | The baud rate has been calculated successfully.
  #kStatus_Fail | Not enough edges have been received yet to determine the baud rate.